[Pkg-ruby-extras-commits] r1105 - in packages/feed2imap/trunk: . bin debian

Lucas Nussbaum lucas-guest at alioth.debian.org
Mon Nov 13 23:24:52 CET 2006


Author: lucas-guest
Date: 2006-11-13 23:24:52 +0100 (Mon, 13 Nov 2006)
New Revision: 1105

Added:
   packages/feed2imap/trunk/bin/
   packages/feed2imap/trunk/bin/feed2imap
Modified:
   packages/feed2imap/trunk/debian/changelog
Log:
Fixed important bug #385855 by applying Paul's patch.
Ready for upload, needs tagging but target dist is set in debian/changelog.



Added: packages/feed2imap/trunk/bin/feed2imap
===================================================================
--- packages/feed2imap/trunk/bin/feed2imap	2006-11-13 14:10:08 UTC (rev 1104)
+++ packages/feed2imap/trunk/bin/feed2imap	2006-11-13 22:24:52 UTC (rev 1105)
@@ -0,0 +1,43 @@
+#!/usr/bin/ruby
+
+$:.unshift File.join(File.dirname(__FILE__), '..', 'lib')
+
+require 'feed2imap/feed2imap'
+require 'optparse'
+
+verbose = false
+version = false
+cacherebuild = false
+configf = ENV['HOME'] + '/.feed2imaprc'
+progname = File.basename($PROGRAM_NAME)
+opts = OptionParser::new do |opts|
+  opts.program_name = progname
+  opts.banner = "Usage: #{progname} [options]"
+  opts.separator ""
+  opts.separator "Options:"
+  opts.on("-v", "--verbose", "Verbose mode") do |v|
+    verbose = true
+  end
+  opts.on("-V", "--version", "Display Feed2Imap version") do |v|
+    version = true
+  end
+  opts.on("-c", "--rebuild-cache", "Cache rebuilding run : will fetch everything and add to cache, without uploading to the IMAP server. Useful if your cache file was lost, and you don't want to re-read all the items.") do |c|
+    cacherebuild = true
+  end
+  opts.on("-f", "--config <file>", "Select alternate config file") do |f|
+    configf = f
+  end
+end
+begin
+  opts.parse!(ARGV)
+rescue OptionParser::ParseError => pe
+  opts.warn pe
+  puts opts
+  exit 1
+end
+
+if version
+  puts "Feed2Imap v.#{F2I_VERSION}"
+else
+  Feed2Imap::new(verbose, cacherebuild, configf)
+end


Property changes on: packages/feed2imap/trunk/bin/feed2imap
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/feed2imap/trunk/debian/changelog
===================================================================
--- packages/feed2imap/trunk/debian/changelog	2006-11-13 14:10:08 UTC (rev 1104)
+++ packages/feed2imap/trunk/debian/changelog	2006-11-13 22:24:52 UTC (rev 1105)
@@ -1,8 +1,12 @@
-feed2imap (0.8-2) UNRELEASED; urgency=low
+feed2imap (0.8-2) unstable; urgency=medium
 
-  * NOT RELEASED YET
+  [ Lucas Nussbaum ]
+  * Applied patch from Paul van Tilburg to enhance options parsing.
+    Closes: #385855.
+  * Urgency=medium because this upload fixes an important bug, includes very
+    few changes, and was throughtly tested.
 
- -- Paul van Tilburg <paulvt at debian.org>  Thu, 29 Jun 2006 09:04:07 +0200
+ -- Lucas Nussbaum <lucas at lucas-nussbaum.net>  Mon, 13 Nov 2006 23:22:13 +0100
 
 feed2imap (0.8-1) unstable; urgency=low
 




More information about the Pkg-ruby-extras-commits mailing list